package com.winhc.repal.controller;

import com.winhc.common.base.BeanResponse;
import com.winhc.common.enums.CodeMsg;
import com.winhc.repal.model.dto.AddGroupMemberDTO;
import com.winhc.repal.model.dto.UpdateMemberRoleDTO;
import com.winhc.repal.model.vo.GroupRoleMemberVO;
import com.winhc.repal.service.RepalGroupMemberService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Description: TODO
 * @Author: xda
 * @Date: 2022/5/10 16:11
 */
@Api(tags = "组织成员")
@RestController
@RequestMapping(value = "/member")
public class RepalMemberController {

    @Autowired
    private RepalGroupMemberService repalGroupMemberService;

    @ApiOperation("成员管理列表")
    @RequestMapping(value = "/roleMember", method = RequestMethod.GET)
    public BeanResponse<List<GroupRoleMemberVO>> getGroupRoleMemberList() {
        return BeanResponse.success(CodeMsg.SUCCESS, repalGroupMemberService.getGroupRoleMemberList());
    }

    @ApiOperation("修改当前成员的角色")
    @RequestMapping(value = "/updateMemberRole/", method = RequestMethod.POST)
    public BeanResponse<Boolean> updateMemberRole(@RequestBody UpdateMemberRoleDTO dto) {
        return BeanResponse.success(CodeMsg.SUCCESS, repalGroupMemberService.updateMemberRole(dto));
    }

    @ApiOperation("添加成员")
    @RequestMapping(value = "/add", method = RequestMethod.GET)
    public BeanResponse<Boolean> addGroupMember(@RequestBody AddGroupMemberDTO dto) {
        return BeanResponse.success(CodeMsg.SUCCESS, repalGroupMemberService.addGroupMember(dto));
    }

}
